CounterpartyGroupsList counterparty groups

List counterparty groups

Groups are shared across the Vault. They're used in recipient whitelists: the counterpartyGroup selector in a transfer policy

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups?archived=true&limit=42&cursor=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "code": "exchanges",
      "name": "Exchanges",
      "description": "example_string",
      "avatarUri": "example_string",
      "color": "example_string",
      "emoji": "example_string",
      "archivedAt": "2026-07-02T11:25:15.134000Z",
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z",
      "_count": {
        "memberships": 42
      }
    }
  ],
  "nextCursor": "example_string"
}
GET
/api/v1/vaults/{code}/counterparty-groups
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

query
archivedstring
Options: true, false
query
limitinteger
Min: 1 • Max: 100
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Query Parameters

archivedstring
Allowed values:truefalse

Responses

itemsarray
Required
nextCursorstring
Required